自动安装lumaqq脚本! [20050803版本]

为当前最终发行版之前的所有版本提供支持
回复
头像
yonsan
帖子: 887
注册时间: 2005-07-01 18:56
来自: 广州市
送出感谢: 0
接收感谢: 3 次

自动安装lumaqq脚本! [20050803版本]

#1

帖子 yonsan » 2005-08-03 12:14

准备更新<快速设置>脚本,将lumaqq独立安装!
请需要安装lumaqq的兄弟测试一下!提出意见及建议!

软件包列表:
lumaqq 2004T [X86_32]不带java版本
lumaqq 2004T [X86_32]带java版本
lumaqq 2004T [X86_64]不带java版本
lumaqq_2004t_patch_2005.07.09.17.00

如果你打算安装不带java版本的QQ 请自行安装java环境
[论坛上有详细安装过程]

呵呵,运行脚本将自动删除你原来在/opt/LumaQQ

代码: 全选

#!/bin/sh
# a2qq_20050803 自动安装lumaqq脚本
# Author:     ubuntu中文支持小组
# Version:    0.0.1 (testing version)
# update:     03/08/2005
#-----------------------------------------------------------------------------
# This program is a free software, you can redistribute it and/or modify
# it under the eterms of the GNU General Public Liscence as published by
# the Free Software Foundation; either version 2 or (at your option) any
# later version.
#
# This program is being distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY without even the implied warranty of
# MERCHANTIBILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
# Public Liscence for more details.
# -----------------------------------------------------------------------------
#>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
#>>脚本使用方法如下:
#>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
#下载a2qq_20050803.tar.gz 并解压缩
#$ sudo tar zxvf a2qq_20050803.tar.gz
#$ sudo ./a2qq_20050803
#>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

# 函数名称: fn_echo_tips
# 函数用法:fn_echo_tips " 在此处给出欲显示的提示信息 "
# 函数功能:在终端窗口给出安装或更新操作提示信息(中文版)
fn_echo_tips()
{
   echo ">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>"
   echo ">> ubuntu 中文支持小组提示:"
   echo ">> 正在进行'${1}'操作"
   echo ">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>"
   echo ""
}


# 检查命令行参数,如果输入的参数少于1个则显示如下帮助信息并退出执行程序。
if [ $# -ne 1 ]; then
   echo ">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>"
   echo "使用方法:"
   echo "1) 安装<lumaqq 2004T [X86_32]不带java版本>请运行 sudo ./a2qq_20050803 no_java_32"
   echo "2) 安装<lumaqq 2004T [X86_32]自带java版本>请运行 sudo ./a2qq_20050803 with_java_32"
   echo "3) 安装<lumaqq 2004T [X86_64]不带java版本>请运行 sudo ./a2qq_20050803 no_java_64"
   echo ">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>"
   echo ""
   exit 0
fi

# 检查 /opt/LumaQQ目录是否已经存在
if [ -d "/opt/LumaQQ" ]; then
clear
fn_echo_tips "删除已经存在的/opt/LumaQQ目录及设置文件"
rm -Rdvf /opt/LumaQQ
rm -Rdvf /usr/share/applications/LumaQQ.desktop
echo "已经删除了原来存在的/opt/LumaQQ目录及设置文件"
echo ""
else
clear
echo "QQ将会安装在/opt/LumaQQ目录下"
fi


# lumaqq 公共设置部分
fn_QQ_set()
{
chown -R root:root /opt/LumaQQ/
chmod -R 755 /opt/LumaQQ/
echo '[Desktop Entry]' >> /usr/share/applications/LumaQQ.desktop
echo 'Name=LumaQQ' >> /usr/share/applications/LumaQQ.desktop
echo 'Comment=QQ Client' >> /usr/share/applications/LumaQQ.desktop
echo 'Exec=/opt/LumaQQ/lumaqq' >> /usr/share/applications/LumaQQ.desktop
echo 'Icon=/opt/LumaQQ/QQ.png' >> /usr/share/applications/LumaQQ.desktop
echo 'Terminal=false' >> /usr/share/applications/LumaQQ.desktop
echo 'Type=Application' >> /usr/share/applications/LumaQQ.desktop
echo 'Categories=Application;Network;' >> /usr/share/applications/LumaQQ.desktop
}

fn_QQ_no_java_32()
{
   fn_echo_tips "正在安装lumaQQ_2004T [X86_32] 不带java版本 + patch_2005.07.09.17.00"
      wget -c http://zhy2fly.lysafe.com/web/download/2004t/lumaqq_2004t-linux_gtk2_x86_no_jre.tar.gz
      tar zxvf lumaqq_2004t-linux_gtk2_x86_no_jre.tar.gz -C /opt/
      wget -c http://zhy2fly.lysafe.com/web/download/patch/lumaqq_2004t_patch_2005.07.09.17.00.zip
      unzip -o lumaqq_2004t_patch_2005.07.09.17.00.zip -d /opt/LumaQQ/lib
      fn_QQ_set
}

fn_QQ_with_java_32()
{
   fn_echo_tips "正在安装lumaQQ_2004T [X86_32] 自带java版本+ patch_2005.07.09.17.00"
      wget -c http://zhy2fly.lysafe.com/web/download/2004t/lumaqq_2004t-linux_gtk2_x86_with_jre.tar.gz
      tar zxvf lumaqq_2004t-linux_gtk2_x86_with_jre.tar.gz -C /opt/
      wget -c http://zhy2fly.lysafe.com/web/download/patch/lumaqq_2004t_patch_2005.07.09.17.00.zip
      unzip -o lumaqq_2004t_patch_2005.07.09.17.00.zip -d /opt/LumaQQ/lib
      fn_QQ_set
}

fn_QQ_no_java_64()
{
   fn_echo_tips "正在安装lumaQQ_2004T [X86_64] 不带java版本+ patch_2005.07.09.17.00"
      wget -c http://zhy2fly.lysafe.com/web/download/2004t/lumaqq_2004t-linux_gtk2_x86_64_no_jre.tar.gz
      tar zxvf lumaqq_2004t-linux_gtk2_x86_64_no_jre.tar.gz -C /opt/
      wget -c http://zhy2fly.lysafe.com/web/download/patch/lumaqq_2004t_patch_2005.07.09.17.00.zip
      unzip -o lumaqq_2004t_patch_2005.07.09.17.00.zip -d /opt/LumaQQ/lib
      fn_QQ_set
}


# 主程序部分
case "$1" in
no_java_32)
fn_QQ_no_java_32
exit 0;;
with_java_32)
fn_QQ_with_java_32
exit 0;;
no_java_64)
fn_QQ_no_java_64
exit 0;;
esac
clear
echo "自动安装lumaqq命令输入参数有误,请重新检查一下命令是否正确!!"
echo "请使用 no_java_32 或 with_java_32 或 no_java_64 参数"
exit 1
上次由 yonsan 在 2005-08-04 15:37,总共编辑 10 次。
头像
yonsan
帖子: 887
注册时间: 2005-07-01 18:56
来自: 广州市
送出感谢: 0
接收感谢: 3 次

#2

帖子 yonsan » 2005-08-03 12:19

#>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
#>>脚本使用方法如下:
#>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
#下载a2qq_20050803.tar.gz 并解压缩
#$ sudo tar zxvf a2qq_20050803.tar.gz
#$ sudo ./a2qq_20050803
#>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
附件
a2qq_20050803.tar.gz
(1.69 KiB) 下载 183 次
上次由 yonsan 在 2005-08-04 15:40,总共编辑 4 次。
I will be back!
lese
帖子: 3
注册时间: 2005-08-03 8:34
送出感谢: 0
接收感谢: 0

#3

帖子 lese » 2005-08-03 12:40

feichang xie xie ,ganggang zhuang hao Ubuntu,ye shi di yi ci zhuang linux ,
wo xiang wen yi xia ni zhege jiao ben zhichi amd64 ma?
头像
yonsan
帖子: 887
注册时间: 2005-07-01 18:56
来自: 广州市
送出感谢: 0
接收感谢: 3 次

#4

帖子 yonsan » 2005-08-03 12:44

呵呵,今日刚想更新QQ 所以写了一下脚本方便以后常用!!
还未添加AMD 64的支持,吃完饭再完善一下,支持AMD64的QQ安装!!
I will be back!
lese
帖子: 3
注册时间: 2005-08-03 8:34
送出感谢: 0
接收感谢: 0

#5

帖子 lese » 2005-08-03 13:02

xie xie .deng ni o....:)
头像
yonsan
帖子: 887
注册时间: 2005-07-01 18:56
来自: 广州市
送出感谢: 0
接收感谢: 3 次

#6

帖子 yonsan » 2005-08-03 13:28

嘿嘿! 更新了,添加了支持64位的lumaqq!
I will be back!
yongyi
帖子: 3025
注册时间: 2005-05-07 23:57
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 yongyi » 2005-08-03 13:36

不加java路径?
独自看一看大海
总想起身边走在路上的朋友
Lenovo E290-420[Celeron-M420/256M/60G/Intel GMA950]
lese
帖子: 3
注册时间: 2005-08-03 8:34
送出感谢: 0
接收感谢: 0

#8

帖子 lese » 2005-08-03 13:37

xiexie!
ma shang qu shi shi
头像
yonsan
帖子: 887
注册时间: 2005-07-01 18:56
来自: 广州市
送出感谢: 0
接收感谢: 3 次

#9

帖子 yonsan » 2005-08-03 13:51

我建议如果硬盘空间足够而又是32位cpu的话,
选择自带java版本的lumaqq运行快点!!
注意:这脚本没自动安装java环境!(假定你自已已经安装好java了)
因为想尽量地简单,有些兄弟或许已经装好了jsdk环境的,所以没添加java环境安装!!

嘿嘿!
I will be back!
zhuzhzh
帖子: 265
注册时间: 2005-07-28 15:08
送出感谢: 0
接收感谢: 0
联系:

#10

帖子 zhuzhzh » 2005-08-03 23:45

狂赞!

应该鼓励写脚本进行安装
无声胜有声
头像
yang119345
帖子: 570
注册时间: 2005-06-19 14:22
来自: 上海
送出感谢: 0
接收感谢: 1 次
联系:

#11

帖子 yang119345 » 2005-09-05 12:28

呵呵。学习学习,以后我也写点脚本,为社区服务~
头像
yonsan
帖子: 887
注册时间: 2005-07-01 18:56
来自: 广州市
送出感谢: 0
接收感谢: 3 次

#12

帖子 yonsan » 2005-09-05 12:32

yang119345 写了:呵呵。学习学习,以后我也写点脚本,为社区服务~


:o 方便自已方便别人 ,没什么编程技巧的,用基本的命令实现目标!
LEE_flash
帖子: 4
注册时间: 2006-01-09 21:41
送出感谢: 0
接收感谢: 0

#13

帖子 LEE_flash » 2006-01-09 23:52

非常感谢 .. 马上去试试.
回复

回到 “老旧版本支持”